<?php

if (!defined('ABSPATH')) exit;

if (!class_exists('daftplugInstantifyPwaAdmin')) {
    class daftplugInstantifyPwaAdmin {
    	public $name;
        public $description;
        public $slug;
        public $version;
        public $textDomain;
        public $optionName;

        public $pluginFile;
        public $pluginBasename;

        public $settings;

        public $pages;

        public $daftplugInstantifyPwaAdminAddtohomescreen;
        public $daftplugInstantifyPwaAdminOfflineusage;
        public $daftplugInstantifyPwaAdminAccessibility;
        public $daftplugInstantifyPwaAdminOptimizations;
        public $daftplugInstantifyPwaAdminPushnotifications;

    	public function __construct($config, $daftplugInstantifyPwaAdminAddtohomescreen, $daftplugInstantifyPwaAdminOfflineusage, $daftplugInstantifyPwaAdminAccessibility,
                    $daftplugInstantifyPwaAdminOptimizations, $daftplugInstantifyPwaAdminPushnotifications) {
    		$this->name = $config['name'];
            $this->description = $config['description'];
            $this->slug = $config['slug'];
            $this->version = $config['version'];
            $this->textDomain = $config['text_domain'];
            $this->optionName = $config['option_name'];

            $this->pluginFile = $config['plugin_file'];
            $this->pluginBasename = $config['plugin_basename'];

            $this->settings = $config['settings'];

            $this->pages = $this->generatePages();

            $this->daftplugInstantifyPwaAdminAddtohomescreen = $daftplugInstantifyPwaAdminAddtohomescreen;
            $this->daftplugInstantifyPwaAdminOfflineusage = $daftplugInstantifyPwaAdminAddtohomescreen;
            $this->daftplugInstantifyPwaAdminAccessibility = $daftplugInstantifyPwaAdminAccessibility;
            $this->daftplugInstantifyPwaAdminOptimizations = $daftplugInstantifyPwaAdminOptimizations;
            $this->daftplugInstantifyPwaAdminPushnotifications = $daftplugInstantifyPwaAdminPushnotifications;

            add_action('admin_enqueue_scripts', array($this, 'loadAssets'));
    	}

        public function loadAssets() {
            wp_enqueue_style("{$this->slug}-pwa-admin", plugins_url('pwa/admin/assets/css/style-pwa.css', $this->pluginFile), array(), $this->version);
            wp_enqueue_script("{$this->slug}-pwa-admin", plugins_url('pwa/admin/assets/js/script-pwa.js', $this->pluginFile), array('jquery'), $this->version, true);
        }

        public function generatePages() {
            $pages = array(
                array(
                    'id' => 'addtohomescreen',
                    'title' => esc_html__('Add To Home Screen', $this->textDomain),
                    'template' => plugin_dir_path(__FILE__) . implode(DIRECTORY_SEPARATOR, array('templates', 'page-addtohomescreen.php'))
                ),
                array(
                    'id' => 'offlineusage',
                    'title' => esc_html__('Offline Usage', $this->textDomain),
                    'template' => plugin_dir_path(__FILE__) . implode(DIRECTORY_SEPARATOR, array('templates', 'page-offlineusage.php')),
                ),
                array(
                    'id' => 'accessibility',
                    'title' => esc_html__('Accessibility', $this->textDomain),
                    'template' => plugin_dir_path(__FILE__) . implode(DIRECTORY_SEPARATOR, array('templates', 'page-accessibility.php')),
                ),
                array(
                    'id' => 'optimizations',
                    'title' => esc_html__('Optimizations', $this->textDomain),
                    'template' => plugin_dir_path(__FILE__) . implode(DIRECTORY_SEPARATOR, array('templates', 'page-optimizations.php'))
                ),
                array(
                    'id' => 'pushnotifications',
                    'title' => esc_html__('Push Notifications', $this->textDomain),
                    'template' => plugin_dir_path(__FILE__) . implode(DIRECTORY_SEPARATOR, array('templates', 'page-pushnotifications.php'))
                )
            );

            return $pages;
        }

        public function getPage() {
            ?>
            <div class="daftplugAdminSubmenu">
                <ul class="daftplugAdminSubmenu_list">
                <?php
                foreach ($this->pages as $page) {
                    ?>
                    <li class="daftplugAdminSubmenu_item -<?php esc_html_e($page['id']); ?>">
                        <a class="daftplugAdminSubmenu_link" href="#/pwa-<?php esc_html_e($page['id']); ?>/" data-subpage="<?php esc_html_e($page['id']); ?>">
                            <?php esc_html_e($page['title']); ?>
                        </a>
                    </li>
                    <?php
                }
                ?>
                </ul>
            </div>
            <?php
            foreach ($this->pages as $page) {
                include_once($page['template']);
            }
        }
    }
}